---

mariadb_databases:
  - name: monitoring
    collation: utf8mb4_bin
    encoding: utf8mb4

  # master-live-server
  - name: master_live_server
    collation: utf8mb4_bin
    encoding: utf8mb4

  # replication-live-server
  - name: replication_live_server
    collation: utf8mb4_bin
    encoding: utf8mb4

  # caefeeder-live
  - name: caefeeder_live
    collation: utf8mb4_bin
    encoding: utf8mb4

mariadb_users:
  - name: monitoring
    host: "%"
    password: monitoring
    priv: "monitoring.*:ALL"

  # master-live-server
  - name: master_live_server
    host: "%"
    password: "{{ vault__database__master_live_server }}"
    priv: "master_live_server.*:ALL"

  # replication-live-server
  - name: replication_live_server
    host: "%"
    password: "{{ vault__database__replication_live_server }}"
    priv: "replication_live_server.*:ALL"

  # caefeeder-live
  - name: caefeeder_live
    host: "%"
    password: "{{ vault__database_caefeeder_live }}"
    priv: "caefeeder_live.*:ALL"
